PETSc version 3.17.4
Fix/Edit manual page

# TaoGradientNorm

Compute the norm with respect to the inner product the user has set.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGradientNorm(Tao tao, Vec gradient, NormType type, PetscReal *gnorm)

Collective on tao

### Input Parameters

| tao | - the Tao context
| gradient | - the gradient to be computed
| norm | - the norm type

### Output Parameter

| gnorm | - the gradient norm

### See Also

TaoSetGradientNorm(), TaoGetGradientNorm()

### Level

developer

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages